Skip to content

Day end balance query

  • Endpoint: POST /aggregate-pay/api/gateway/endDayAccountBalanceQuery
  • Tags: Fund Account(New)

Description

returns the balance information under the specified date and time zone

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesCurrent value:1.5
keyVersionstringYesCurrent value: 1
requestTimestringYescompliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesThe unique identifier assigned to the merchant app by PayerMax
memberIdstringYesthe unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.inquiryDatestringYesSupport query for nearly 90 days
data.timezonestringYesTime zone is currently only supported (UTC, CST).Case-insensitive
data.endDayAccountBalanceQueryReqobjectYes
data.endDayAccountBalanceQueryReq.fundsAccountCurrencyListarray[string]No3-digit currency code in accordance with ISO 4217 When no currency is specified, all currency will return.
data.endDayAccountBalanceQueryReq.fundsAccountNoListarray[string]NoWhen no fundsAccountNo is specified, all fundsAccountNos will return

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2025-12-03T21:15:13.712+08:00",
  "appId": "798b79c2e33a4d8e866410bf401551a7",
  "memberId": "20250619P01B00000075000002",
  "data": {
    "inquiryDate": "2025-10-20",
    "timezone": "UTC",
    "endDayAccountBalanceQueryReq": {
      "fundsAccountCurrencyList": [],
      "fundsAccountNoList": []
    }
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes‘Success.’
codestringYes‘APPLY_SUCCESS’ means success
dataobjectYes
data.acctTimestringYesThe time of the corresponding balance conforms to RFC3339 specification, format: yyyy-mm-dd’T’HH:mm:ss. SSSXXX
data.timeZonestringYesTime zone is currently only supported (UTC, CST).Case-insensitive
data.endDayAccountBalanceInfoListarray[object]Yes
data.endDayAccountBalanceInfoList[].inflowAmountintegerYesPeriod outflow amount The amount of inflow during the day
data.endDayAccountBalanceInfoList[].fundsAccountNostringYesfunds account number
data.endDayAccountBalanceInfoList[].endBalanceintegerYesCalculation Formula: endBalance = initalBalance + inflowAmount - outflowAmount
data.endDayAccountBalanceInfoList[].initialBalanceintegerYesOpening balance
data.endDayAccountBalanceInfoList[].currencystringYes3-digit currency code in accordance with ISO 4217 When no currency is specified, all currencies with balances greater than 0 are returned
data.endDayAccountBalanceInfoList[].outflowAmountintegerYesPeriod inflow amount The amount of outflow during the day

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "acctTime": "2025-10-20",
    "timeZone": "UTC",
    "endDayAccountBalanceInfoList": [
      {
        "inflowAmount": 200,
        "fundsAccountNo": "123456",
        "endBalance": 300,
        "initialBalance": 100,
        "currency": "IDR",
        "outflowAmount": 0
      },
      {
        "inflowAmount": 400,
        "fundsAccountNo": "123456",
        "endBalance": 500,
        "initialBalance": 100,
        "currency": "CNY",
        "outflowAmount": 0
      },
      {
        "inflowAmount": 500,
        "fundsAccountNo": "123456",
        "endBalance": 600,
        "initialBalance": 100,
        "currency": "EUR",
        "outflowAmount": 0
      },
      {
        "inflowAmount": 300,
        "fundsAccountNo": "123456",
        "endBalance": 400,
        "initialBalance": 100,
        "currency": "SAR",
        "outflowAmount": 0
      },
      {
        "inflowAmount": 100,
        "fundsAccountNo": "123456",
        "endBalance": 200,
        "initialBalance": 100,
        "currency": "USD",
        "outflowAmount": 0
      }
    ]
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.